Subject: Re: [X2Go-Dev] Bug#566: X2Go Client for Windows 4.0.2.1 cannot create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-Ascii characters

From: Michael DePaulo <[email-masked]>
Date: Wed, 17 Sep 2014 07:42:25 -0400

On Tue, Sep 16, 2014 at 12:09 PM, George Trakatelis
<[email-masked]> wrote:
> Hi Mike,
>
> First of all, patch bug566.test.v2.patch definitely solves the problem as described in bug #566.
> I have tried successfully both the release and the debug builds you uploaded
> both in Windows 8.1 Pro and Windows 7 Professional SP1 with all the Microsoft updates installed.

Great :)
I'll update debian/changelog. That update will mark this bug as
pending for release.

> Now, with regard to bug #397:
>
>> 1st of all, you were talking about a home dir with non-Ascii characters on the client machine, correct?
>
> Yes.
>
>> Bug #397 refers to when the user's home folder on the server has non-Ascii characters.
>> That is why the bug is filed against x2goserver.
>> Besides, our "fix" for #397 is not to make homedirs with non-Ascii characters "work".
>> Our "fix" is to present a better error message and cleanly abort the session.
>
> I see.
>
>> Normally I would say that we should clone this bug (566) for X2Go Client for Linux.
>> However, the bug report is already extremely long,
>> I think we should just file a new one and link to this one. Could you please file one?
>
> I was only testing an analogous to bug #566 situation in Linux.
> To be honest, I had to get round Ubuntu's policy for POSIX user names by using usermod.
> That test revealed that nxproxy (in Ubuntu 14.04) crashes when path names with non-Ascii characters are used,
> but is it really a situation that deserves to be filed as a bug?
>
> I mean it's common for Windows users to have user names in their native language.
> On the other hand, Ubuntu (and I suppose Unix in general) dictates
> exactly what characters are permitted in a user name.
> If one by-passes this rule, erroneous program behavior may be observed.
> Can we call it a bug of the program? I don’t know. You decide!
>
> -George

The way I see it, it is an "issue", not a "bug". You could also call
it a "limitation".

Still, we should show the user a better error message when a home dir
with non-english characters is detected on Linux. So please report a
bug about it.

-Mike#2